
set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit&dump.str"
  mode="none"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="all_centrelines.str"
  mode="none"
}]

set status [ SclFunction "STR MATHS" {
  frm00700={
    {
      _action=display
      file_loc="all_centrelines.str"
      file_id=""
      result_loc="all_centrelines"
      main=table { str_range constraint field expr } {
        { "1" "" "d1" "20" }
        { "2" "" "d1" "10" }
        { "3,4" "" "d1" "30" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
      }
    }
  }
  frm00701={
    {
      _action="apply"
    }
  }
  frm00121={
    {
      _action="apply"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="all_centrelines.str"
  mode="none"
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

set status [ SclFunction "DESIGN STRING" {
  frm00071={
    {
      _action=display
      idesign_string="9"
    }
  }
}]

set status [ SclFunction "MAKE PILLARS" {
  frm00202={
    {
      _action=display
      cl_string_range="1,4"
      ifldnum="1"
      road_width="20"
      width_from_desc="Y"
    }
  }
}]

set status [ SclFunction "FILE SAVE" {
  frmsaveFileAs={
    {
      _action=display
      AutoCAD={
        version="Autocad 18"
      }
      output_file="surpac2str:all_roads"
      outputExt=".str"
      saveStyle="N"
      Datamine={
        binary_precision="Single"
      }
      Surpac={
        FileFormat="text"
        ForceValidation="true"
        Purpose=""
        ForceCompatibility="true"
        range=""
      }
      output_type="Surpac String Files"
    }
  }
}]

puts ""
puts ""
puts "macro 1d_variable_width_outline.tcl sucessfully completed."
puts ""